import subprocess
import os
import json

process = None
def start_process():
    global process

    try:
        is_mock = os.environ['MOCK']
    except KeyError:
        is_mock = False
    if is_mock:
        process = subprocess.Popen(["/usr/bin/env", "python", "/home/kelvin/src/shroom-server/shroom_pipe.py"], stdin=subprocess.PIPE, stdout=subprocess.PIPE)
    else:
        #process = subprocess.Popen(["ssh", "shrooms@threefortiethofonehamster.com", "/usr/bin/env", "python3", "/home/shrooms/shrooms-server/shroom_pipe.py"], stdin=subprocess.PIPE, stdout=subprocess.PIPE)
        process = subprocess.Popen(["ssh", "shrooms@35.211.7.97", "/usr/bin/env", "python3", "/home/shrooms/shrooms-server/shroom_pipe.py"], stdin=subprocess.PIPE, stdout=subprocess.PIPE)

def send_update(msg):
    global process
    process.stdin.write(bytes(json.dumps(msg) + "\n", "utf8"))
    process.stdin.flush()


